%ifarch x86_64
%define	_version	1.1
%else
%define	_version	1.1
%endif

Name:		bandwidth
Version:	%{_version}
Release:	2.1
Group:		System/Benchmark
Summary:	A memory bandwidth benchmark
Url:		http://zsmith.co/bandwidth.html
License:	GPLv2
Source:		%{name}-%{_version}.tar.bz2
Patch0:		bandwidth-1.1-objectorder.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	nasm >= 2.0 gcc sed


%description
bandwidth is an artificial benchmark for measuring memory bandwidth, 
useful for identifying a computer's weak areas. It tests several types of memory:
    * Level 1 cache sequential read accesses
    * Level 1 cache sequential write accesses
    * Level 2 cache sequential read accesses
    * Level 2 cache sequential write accesses
    * Main memory sequential read accesses
    * Main memory sequential write accesses
    * Framebuffer sequential read accesses (Linux only)
    * Framebuffer sequential write accesses (Linux only)
    * String library routines 

%prep

%setup
%patch0

%build
%__make clean

%ifnarch x86_64
%__make %{name}32
%__chmod 755 output
mv output results
mv %{name}32 %{name}
%else
%__make %{name}64
%__chmod 755 output
mv output results
mv %{name}64 %{name}
%endif
rm -rf results/._*
 
%install
%__install -D -m 755 %{name} %{buildroot}/%{_sbindir}/%{name}
chmod -x README.txt COPYING.txt results/* 

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt COPYING.txt results
%{_sbindir}/%{name}

%changelog
* Sat Aug 30 2014 cs@linux-administrator.com
- fix compilation with bandwidth-1.1-objectorder.patch
* Fri Aug 29 2014 cs@linux-administrator.com
- update to release 1.1
* Sun Feb 23 2014 cs@linux-administrator.com
- update to release 1.0
- added bandwidth-1.0-ldflags.patch
* Tue Apr  9 2013 cs@linux-administrator.com
- update to release 0.32p
* Sun Feb 17 2013 cs@linux-administrator.com
- update to release 0.32m
* Sat Nov  3 2012 cs@linux-administrator.com
- update to release 0.32k
* Mon Oct 15 2012 cs@linux-administrator.com
- update to release 0.30a
* Thu Aug 16 2012 cs@linux-administrator.com
- update to release 0.29a
* Tue Feb 15 2011 cs@linux-administrator.com
- update to release 0.26c
